﻿{% extends "base.html" %}
{% load static %}



{% block title %}Ajout de voiture{% endblock %}

{% block content %} 
 <!-- =-=-=-=-=-=-= Main Header End  =-=-=-=-=-=-= --> 
      <!-- =-=-=-=-=-=-= Breadcrumb =-=-=-=-=-=-= -->
      <div class="page-header-area-2 gray">
         <div class="container">
            <div class="row">
               <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                  <div class="small-breadcrumb">
                     <div class=" breadcrumb-link">
                        <ul>
                           <li><a href="/">Accueil</a></li>
                           <li><a class="active" href="#">Recherche</a></li>
                        </ul>
                     </div>
                     <div class="header-page">
                        <h1>Trouver un véhicule</h1>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <!-- =-=-=-=-=-=-= Breadcrumb End =-=-=-=-=-=-= -->
      <!-- =-=-=-=-=-=-= Main Content Area =-=-=-=-=-=-= -->
      <div class="main-content-area clearfix">
         <!-- =-=-=-=-=-=-= Latest Ads =-=-=-=-=-=-= -->
         <section class="section-padding no-top gray">
            <!-- Main Container -->
            <div class="container">
               <!-- Row -->
               <div class="row">
                  <!-- Middle Content Area -->
                  <div class="col-md-8 col-md-push-4 col-lg-8 col-sx-12">
                     <!-- Row -->
                     <div class="row">
                        <!-- Sorting Filters -->
                        <div class="clearfix"></div>
                        <div class="col-md-12 col-xs-12 col-sm-12 col-lg-12">
                           <div class="clearfix"></div>
                           <div class="listingTopFilterBar">
                              <div class="col-md-7 col-xs-12 col-sm-7 no-padding">
                                 <ul class="filterAdType">
                                    <li class="active"><a href="">Tout <small>({{nombre}})</small></a> </li>
                                    <li class=""><a href="">Bon plan <small>(0)</small></a> </li>
                                 </ul>
                              </div>
                              <div class="col-md-5 col-xs-12 col-sm-5 no-padding">
                                 <div class="header-listing">
                                    <h6>Trier :</h6>
                                    <div class="custom-select-box">
                                       <select name="order" class="custom-select">
                                          <option value="0">populaire</option>
                                          <option value="1">Date</option>
                                          <option value="2">Bon prix</option>
                                       </select>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                        <!-- Sorting Filters End-->
                        <div class="clearfix"></div>
                        <!-- Ads Archive -->
                        <div class="col-md-12 col-xs-12 col-xs-12">
                           <div class="posts-masonry">
                              {% for car in vehiculeList %}
                              <div class="ads-list-archive">
                                 <!-- Image Block -->
                                 <div class="col-lg-5 col-md-5 col-sm-5 no-padding">
                                    <!-- Img Block -->
                                    <div class="ad-archive-img">
                                       <a href="/carDetail/{{car.id}}">
                                       <img class="img-responsive" src="{% get_media_prefix %}{{car.feature }}"  alt=""> 
                                       </a>
                                    </div>
                                    <!-- Img Block -->
                                 </div>
                                 <!-- Ads Listing -->
                                 <div class="clearfix visible-xs-block"></div>
                                 <!-- Content Block -->
                                 <div class="col-lg-7 col-md-7 col-sm-7 no-padding">
                                    <!-- Ad Desc -->
                                    <div class="ad-archive-desc">
                                       <!-- Price -->
                                       <img alt="" class="pull-right" src="images/certified.png">
                                       <!-- Title -->
                                       <h3><a href="/carDetail/{{car.id}}">{{car.marque}} - {{car.modele}} - {{car.type_vehicule.libelle}}</a></h3>
                                       <!-- Category -->
                                       <div class="category-title"> <span><a href="#">Car &amp; Bikes</a></span> </div>
                                       <!-- Short Description -->
                                       <div class="clearfix visible-xs-block"></div>
                                       <p class="hidden-sm"> {{car.description}} .....</p>
                                       <!-- Ad Features -->
                                       <ul class="short-meta list-inline">
                                          <li><i class="flaticon-dashboard"></i>{{car.kilometrage}}km</li>
                                          <li><i class="flaticon-vehicle-3"></i>{{car.carburant}}</li>
                                          <li><i class="flaticon-placeholder-1"></i>{{car.quartier.libelle}}</li>
                                          <li><i class="flaticon-key"></i>{{car.transmission}}</li>
                                       </ul>
                                       <!-- Ad History -->
                                       <div class="ad-price-simple">{{car.prix}} Fcfa/Jour</div>
                                       <div class="clearfix archive-history">
                                          <div class="last-updated">Publié par : {{car.client.nom}}</div>
                                          {%for fav in favorisList %}
                                           {% if fav.voiture.id == car.id  %}<div class="ad-meta"> <a class="btn btn-danger" href="/unlike/{{car.id}}"><i class="fa fa-heart-o"></i> - Favoris.</a>{%elif car.client.id == client.id%}<div class="ad-meta"> <a class="btn disabled" href="#"><i class="fa fa-heart-o"></i> + Favoris.</a> {%else%} <div class="ad-meta"> <a class="btn save-ad" href="/like/{{car.id}}"><i class="fa fa-heart-o"></i> + Favoris.</a> {% endif %} {% empty %} {%if car.client.id == client.id%}<div class="ad-meta"> <a class="btn disabled" href="#"><i class="fa fa-heart-o"></i> + Favoris.</a> {%else%} <div class="ad-meta"> <a class="btn save-ad" href="/like/{{car.id}}"><i class="fa fa-heart-o"></i> + Favoris.</a> {% endif %} {% endfor %} <a class="btn btn-success" href="/carDetail/{{car.id}}"><i class="flaticon-car-3"></i> Louer.</a> </div>
                                       </div>
                                    </div>
                                    <!-- Ad Desc End -->
                                 </div>
                                 <!-- Content Block End -->
                              </div>
                              <!-- LIMITE -->
                              {% endfor %}
                           </div>
                           <!-- Ads Archive End -->  
                        </div>
                        <div class="clearfix"></div>
                        <!-- Pagination --> 
                        {% if numero <= 10 %} 
                           <div class="text-center margin-top-30">
                           <ul class="pagination ">
                              <li><a href="#"><i class="fa fa-chevron-left"></i></a></li>
                              <li><a href="#">1</a></li>
                              <li class="active"><a href="#">2</a></li>
                              <li><a href="#">3</a></li>
                              <li><a href="#">4</a></li>
                              <li><a href="#"><i class="fa fa-chevron-right"></i></a></li>
                           </ul>
                           </div>
                        {% endif %}
                        <!-- Pagination End -->   
                     </div>
                     <!-- Row End -->
                  </div>
                  <!-- Middle Content Area  End -->
                  <!-- Left Sidebar -->
                  <div class="col-md-4 col-md-pull-8 col-sx-12">
                     <!-- Sidebar Widgets -->
                     <div class="sidebar">
                        <!-- Panel group -->
                        <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                           <!-- Brands Panel --> 
                           <form action="/resultat/" method="post" enctype="multipart/form-data" >{% csrf_token %}   
                           <div class="panel panel-default">
                              <!-- Heading -->
                              <div class="panel-heading" role="tab" id="headingTwo">
                                 <h4 class="panel-title">
                                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                    <i class="more-less glyphicon glyphicon-plus"></i>
                                    Marques
                                    </a>
                                 </h4>
                              </div>
                              <!-- Content -->
                              <div id="collapseTwo" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingTwo">
                                 <div class="panel-body">
                                    <!-- Search -->
                                    
                                    <div class="search-widget">
                                       <input placeholder="entrez la marque..." type="text" name="critere">
                                       <button type="submit"><i class="fa fa-search"></i></button>
                                    </div>
                                    <!-- Brands List -->                              
                                    <div class="skin-minimal">
                                       <ul class="list">
                                          <li>
                                             <input  type="checkbox" id="minimal-checkbox-1" name="marque" checked value="all">
                                             <label for="minimal-checkbox-1">Toute Les marques</label> 
                                          </li>
                                          {% for marque in MarqueList %}
                                          <li>
                                             <input  type="checkbox" id="minimal-checkbox-2" name="marque" value="{{marque.libelle}}">
                                             <label for="minimal-checkbox-2">{{marque.libelle}} </label>
                                          </li>
                                          {% endfor %} 
                                       </ul>
                                       <a href=".cat_modal" data-toggle="modal" class="pull-right"><strong>voir plus</strong></a>
                                    </div>
                                    <!-- Brands List End -->  
                                    <button type="submit" class="btn btn-theme btn-sm margin-top-20" >Recherche</button>
                                              
                                 </div>
                              </div>
                           </div>
                           <!-- Brands Panel End -->
                           <!-- Condition Panel -->    
                           <div class="panel panel-default">
                              <!-- Heading -->
                              <div class="panel-heading" role="tab" id="heading9">
                                 <h4 class="panel-title">
                                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse9" aria-expanded="false" aria-controls="collapse9">
                                    <i class="more-less glyphicon glyphicon-plus"></i>
                                    Transmission
                                    </a>
                                 </h4>
                              </div>
                              <!-- Content -->
                              <div id="collapse9" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading9">
                                 <div class="panel-body">
                                    <div class="skin-minimal">
                                       <ul class="list">
                                          <li>
                                             <input tabindex="7" type="radio" id="automatic" name="transmission" value="Automatique">
                                             <label for="automatic">Automatique</label>
                                          </li>
                                          <li>
                                             <input tabindex="8" type="radio" id="manual" name="transmission"  value="Manuelle">
                                             <label for="manual">Manuelle</label>
                                          </li>
                                       </ul>
                                    </div>
                                    <button type="submit" class="btn btn-theme btn-sm margin-top-20" >Recherche</button>
                                 </div>
                              </div>
                           </div>
                           <!-- Condition Panel End -->  
                           <!-- Condition Panel -->    
                           <div class="panel panel-default">
                              <!-- Heading -->
                              <div class="panel-heading" role="tab" id="headingThree">
                                 <h4 class="panel-title">
                                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                    <i class="more-less glyphicon glyphicon-plus"></i>
                                    Condition
                                    </a>
                                 </h4>
                              </div>
                              <!-- Content -->
                              <div id="collapseThree" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingThree">
                                 <div class="panel-body">
                                    <div class="skin-minimal">
                                       <ul class="list">
                                          <li>
                                             <input tabindex="7" type="radio" id="minimal-radio-1" name="minimal-radio">
                                             <label for="minimal-radio-1">Neuve</label>
                                          </li>
                                          <li>
                                             <input tabindex="8" type="radio" id="minimal-radio-2" name="minimal-radio" checked>
                                             <label for="minimal-radio-2">Utilisé</label>
                                          </li>
                                       </ul>
                                    </div>
                                    <a class="btn btn-theme btn-sm margin-top-20">Recherche</a>
                                 </div>
                              </div>
                           </div>
                           <!-- Condition Panel End -->  
                           <!-- Body Type Panel -->    
                           <div class="panel panel-default">
                              <!-- Heading -->
                              <div class="panel-heading" role="tab" id="heading7">
                                 <h4 class="panel-title">
                                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse7" aria-expanded="false" aria-controls="collapse7">
                                    <i class="more-less glyphicon glyphicon-plus"></i>
                                    Categories
                                    </a>
                                 </h4>
                              </div>
                              <!-- Content -->
                              <div id="collapse7" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading7">
                                 <div class="panel-body">
                                    <div class="skin-minimal">
                                       <ul class="list">
                                          <li>
                                             <input  type="radio" id="c1" name="minimal-radio">
                                             <label for="c1">Mariage </label>
                                          </li>
                                          <li>
                                             <input  type="radio" id="c2" name="minimal-radio">
                                             <label for="c2">Transport</label>
                                          </li>
                                          <li>
                                             <input  type="radio" id="c3" name="minimal-radio">
                                             <label for="c3">Décès</label>
                                          </li>
                                          <li>
                                             <input  type="radio" id="c4" name="minimal-radio">
                                             <label for="c4">Luxe</label>
                                          </li>
                                          <li>
                                             <input  type="radio" id="c5" name="minimal-radio">
                                             <label for="c5">camion</label>
                                          </li>
                                       </ul>
                                    </div>
                                    <a class="btn btn-theme btn-sm margin-top-20">Recherche</a>
                                 </div>
                              </div>
                           </div>
                           <!-- Condition Panel End -->  
                           <!-- Pricing Panel -->
                           <div class="panel panel-default">
                              <!-- Heading -->
                              <div class="panel-heading" role="tab" id="headingfour">
                                 <h4 class="panel-title">
                                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapsefour" aria-expanded="false" aria-controls="collapsefour">
                                    <i class="more-less glyphicon glyphicon-plus"></i>
                                    Prix
                                    </a>
                                 </h4>
                              </div>
                              <!-- Content -->
                              <div id="collapsefour" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingfour">
                                 <div class="panel-body">
                                    <span class="price-slider-value">Prix (Fcfa) <span id="price-min"></span> - <span id="price-max"></span></span>
                                    <div id="price-slider"></div>
                                    <button type="submit" class="btn btn-theme btn-sm margin-top-20" >Recherche</button>
                                 </div>
                              </div>
                           </div>
                           <!-- Pricing Panel End -->
                           <!-- Year Panel -->    
                           <div class="panel panel-default">
                              <!-- Heading -->
                              <div class="panel-heading" role="tab" id="heading8">
                                 <h4 class="panel-title">
                                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse8" aria-expanded="false" aria-controls="collapse8">
                                    <i class="more-less glyphicon glyphicon-plus"></i>
                                    Select Année
                                    </a>
                                 </h4>
                              </div>
                              <!-- Content -->
                              <div id="collapse8" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading8">
                                 <div class="panel-body">
                                    <!-- Year List -->                              
                                    <div class="skin-minimal">
                                       <ul class="list">
                                          <li>
                                             <input  type="checkbox" id="y1">
                                             <label for="y1">2017 </label>
                                          </li>
                                          <li>
                                             <input  type="checkbox" id="y2">
                                             <label for="y2">2016 </label>
                                          </li>
                                          <li>
                                             <input  type="checkbox" id="y3">
                                             <label for="y3">2015 </label>
                                          </li>
                                          <li>
                                             <input  type="checkbox" id="y4">
                                             <label for="y4">2014 </label>
                                          </li>
                                          <li>
                                             <input  type="checkbox" id="y5">
                                             <label for="y5">2013</label>
                                          </li>
                                          <li>
                                             <input  type="checkbox" id="y6">
                                             <label for="y6">2012 </label>
                                          </li>
                                       </ul>
                                    </div>
                                    <!-- Year List End --> 
                                    <button type="submit" class="btn btn-theme btn-sm margin-top-20" >Recherche</button>
                                 </div>
                              </div>
                           </div>
                        </form>  
                           <!-- Year Panel End -->  
                           <!-- Latest Ads Panel -->
                           <div class="panel panel-default">
                              <!-- Heading -->
                              <div class="panel-heading" >
                                 <h4 class="panel-title">
                                    <a>
                                    Recentes Publications
                                    </a>
                                 </h4>
                              </div>
                              <!-- Content -->
                              <div class="panel-collapse">
                                 <div class="panel-body recent-ads">
                                    <!-- Ads -->
                                    {% for car in vehiculeList %}
                                    <div class="recent-ads-list">
                                       <div class="recent-ads-container">
                                          <div class="recent-ads-list-image">
                                             <a href="#" class="recent-ads-list-image-inner">
                                             <img src="{% get_media_prefix %}{{car.feature }}" alt="">
                                             </a><!-- /.recent-ads-list-image-inner -->
                                          </div>
                                          <!-- /.recent-ads-list-image -->
                                          <div class="recent-ads-list-content">
                                             <h3 class="recent-ads-list-title">
                                                <a href="#">{{car.marque}} - {{car.modele}} - {{car.type_vehicule.libelle}} </a>
                                             </h3>
                                             <ul class="recent-ads-list-location">
                                                <li><a href="#">{{car.quartier.libelle}}</a>,</li>
                                             </ul>
                                             <div class="recent-ads-list-price">
                                                {{car.prix}}
                                             </div>
                                             <!-- /.recent-ads-list-price -->
                                          </div>
                                          <!-- /.recent-ads-list-content -->
                                       </div>
                                       <!-- /.recent-ads-container -->
                                    </div>
                                    <!-- Ads -->
                                    {% endfor %}
                                 </div>
                              </div>
                           </div>
                           <!-- Latest Ads Panel End -->
                        </div>
                        <!-- panel-group end -->
                     </div>
                     <!-- Sidebar Widgets End -->
                  </div>
                  <!-- Left Sidebar End -->
               </div>
               <!-- Row End -->
            </div>
            <!-- Main Container End -->
         </section>
         <!-- =-=-=-=-=-=-= Ads Archives End =-=-=-=-=-=-= -->
         <!-- =-=-=-=-=-=-= FOOTER END =-=-=-=-=-=-= -->
      </div>
      <!-- Main Content Area End --> 
      <!-- Back To Top -->
      <a href="#0" class="cd-top">Top</a>
      <!-- =-=-=-=-=-=-= More Brands Modal =-=-=-=-=-=-= -->
      <div class="search-modal modal fade cat_modal" tabindex="-1" role="dialog" aria-hidden="true">
         <div class="modal-dialog">
            <div class="modal-content">
               <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button>
                  <h3 class="modal-title text-center"> Select Make </h3>
               </div>
               <div class="modal-body">
                  <!-- content goes here -->
                  <div class="search-block">
                     <div class="row">
                        <div class="col-md-12 col-xs-12 col-sm-12 popular-search">
                           <label>Select Brands</label>
                           <!-- Brands List -->                              
                           <div class="skin-minimal">
                              <ul class="list">
                                 <li class="col-sm-4 col-xs-6">
                                    <input  type="checkbox" id="r1">
                                    <label for="r1">All Brands</label>
                                 </li>
                                 <li class="col-sm-4 col-xs-6">
                                    <input  type="checkbox" id="r2">
                                    <label for="r1">Audi </label>
                                 </li>
                                 <li class="col-sm-4 col-xs-6">
                                    <input  type="checkbox" id="r3">
                                    <label for="r3">BMW </label>
                                 </li>
                                 <li class="col-sm-4 col-xs-6">
                                    <input  type="checkbox" id="r4">
                                    <label for="r4">Mercedes </label>
                                 </li>
                                 <li class="col-sm-4 col-xs-6">
                                    <input  type="checkbox" id="r5">
                                    <label for="r5">Lamborghini </label>
                                 </li>
                                 <li class="col-sm-4 col-xs-6">
                                    <input  type="checkbox" id="r6">
                                    <label for="r6">Honda</label>
                                 </li>
                                 <li class="col-sm-4 col-xs-6">
                                    <input  type="checkbox" id="r7">
                                    <label for="r7">Bugatti </label>
                                 </li>
                                 <li class="col-sm-4 col-xs-6">
                                    <input  type="checkbox" id="r8">
                                    <label for="r8">Acura </label>
                                 </li>
                              </ul>
                           </div>
                           <!-- Brands List End -->    
                        </div>
                     </div>
                  </div>
               </div>
               <div class="modal-footer">
                  <button type="button" class="btn btn-block btn-block">Recherche</button>
               </div>
            </div>
         </div>
         {% endblock %}  